Subject: Find all functional tests, optimize travis-ci

Description

Related issues:

related to Core - Bug # 58533: Tests: Find all unit tests automatically Resolved 2014-05-05

Associated revisions

Revision 87310e5a - 2014-05-06 21:25 - Christian Kuhn

[TASK] Find functional tests automatically, optimize travis-ci

Simalar to UnitTests.xml, FunctionalTests.xml no longer register
single test suites but find all functional tests cases using a
wildcard.

For travis-ci, single tests cases are now given to parallel using
gnu find. This leads to a nice performance improvement on travis
since more but shorter processes are executed, sharing the available

hardware more effectively.

Change-Id: 18dc34ed2fcc1ae8390bc05dbe6f5e7009af17a36
Resolves: #58578

Related: #58533

Releases: 6.2

Reviewed-on: https://review.typo3.org/29901

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2014-05-06 20:44 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/29901

#2 - 2014-05-06 21:30 - Christian Kuhn

2015-08-04 1/2



https://review.typo3.org/29901
https://review.typo3.org/29901

- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:87310e5abcfdef98b8a5863796f0943fb03fd307.
